class Management::ScoresController < ManagementController

  before_action :set_score, only: [:update, :show]


  def index
    @scores = Score.order(:name).includes(:score_user_categories)
    @users_categories = UserCategory.order(:reference)
    @users_categories_ids = @users_categories.map(&:id)
  end

  def show
    respond_to do |format|
      format.html
      format.json {render :json => @score}
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @score.update_attributes(score_params)
        format.html { redirect_to(@score, :notice => 'Score atualizado.') }
        format.json { respond_with_bip(@score) }
      else
        format.html { render :action => "edit" }
        format.json { respond_with_bip(@score) }
      end
    end
  end



  private

  def set_score
    @score = Score.find params[:id]
  end

  def score_params
    params.require(:score).permit(:name,:weight,:active, score_user_categories: [])
  end


end
